List Customers in Customer Group
curl --request GET \
--url https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mijnklantportaal.nl/v1/customer-groups/{customerGroupId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cst_abc12345def678",
"companyName": "Test Company BV",
"address": "Teststreet 123",
"zipCode": "1234AB",
"city": "Amsterdam",
"countryCode": "NL",
"primaryEmail": "john.doe@test.com",
"phone": "+312012345678",
"integration": "acumulus",
"integrationId": "123456789",
"customerGroups": [
"cug_123abc567"
],
"createdAt": "2024-04-28T21:00:00+02:00"
}
]
}{
"message": "<string>"
}List Customers in Customer Group
Get all the customers in a specific Customer Group. Please note this is a NON-PAGINATED list
GET
/
customer-groups
/
{customerGroupId}
/
customers
List Customers in Customer Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the customer group to return the customers of
Response
Non-paginated response with customers
Array of Customer objects
Show child attributes
Show child attributes
⌘I
